Create a Batch Settlement Schedule
curl --request POST \
--url https://api.bridge.xyz/v0/customers/{customerID}/batch_settlement_schedules \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"destination": {
"external_account_id": "<string>",
"bridge_wallet_id": "<string>",
"wire_message": "<string>",
"sepa_reference": "<string>",
"swift_reference": "<string>",
"spei_reference": "<string>",
"reference": "<string>",
"ach_reference": "<string>",
"blockchain_memo": "<string>",
"deposit_id": "<string>"
}
}
'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/batch_settlement_schedules"
payload = { "destination": {
"external_account_id": "<string>",
"bridge_wallet_id": "<string>",
"wire_message": "<string>",
"sepa_reference": "<string>",
"swift_reference": "<string>",
"spei_reference": "<string>",
"reference": "<string>",
"ach_reference": "<string>",
"blockchain_memo": "<string>",
"deposit_id": "<string>"
} }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
destination: {
external_account_id: '<string>',
bridge_wallet_id: '<string>',
wire_message: '<string>',
sepa_reference: '<string>',
swift_reference: '<string>',
spei_reference: '<string>',
reference: '<string>',
ach_reference: '<string>',
blockchain_memo: '<string>',
deposit_id: '<string>'
}
})
};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/batch_settlement_schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}Batch Settlements
Create a Batch Settlement Schedule
deprecated
Creates a Batch Settlement Schedule that can be used as the destination of a liquidation address.
POST
/
customers
/
{customerID}
/
batch_settlement_schedules
Create a Batch Settlement Schedule
Authorizations
Headers
Path Parameters
A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*Body
application/json
The destination that Bridge will use to settle funds.
Show child attributes
Show child attributes
Response
Batch Settlement Schedule object created
ID of the batch settlement schedule
Required string length:
1 - 42Pattern:
[a-z0-9]*Was this page helpful?
⌘I
